# Local configuration details for ftpmail.
#
# $Header: /a/swan/home/swan/staff/csg/lmjm/src/perl/mirror/src/ftpmail/RCS/config.pl,v 1.13 1994/07/06 14:56:34 lmjm Exp lmjm $
# $Log: config.pl,v $
# Revision 1.13  1994/07/06  14:56:34  lmjm
# Allow for multiple dq processes.
# Default to default site having highest priority.
# Allow use of vrfy program to check addresses.
# Allow for odd environment settings under sendmail-8.6.4
# Gzip more vigorously.
# Dont reply to listserv.
# Default to 1 dq proc.
# Reduce retry pause time.
# Increase max_processing_size to 15M
#
# Revision 1.12  1994/05/02  18:10:46  lmjm
# Make sure PATH is set (in case running setuid).
# Changed tailoring.
#
# Revision 1.11  1993/05/11  20:07:56  lmjm
# Optionally ban connecting to a.b.c.d
#
# Revision 1.10  1993/04/25  20:27:48  lmjm
# Added mail_overhead.
#
# Revision 1.9  1993/04/25  14:14:58  lmjm
# Allow for multiple help files (one per language).
#
# Revision 1.8  1993/04/23  23:27:03  lmjm
# Massive renaming for sys5.
#
# Revision 1.7  1993/04/23  17:23:37  lmjm
# Renamed ftpmail-local-config.pl to ftpmail-config.pl
# Made pathnames relative to $ftpmail_dir
#
# Revision 1.6  1993/04/20  20:15:37  lmjm
# Don't attempt to reply to mail from ftpmail!
# Allow for a message of the day file.
#
# Revision 1.5  1993/04/15  14:17:44  lmjm
# Typos fixed.
# Ignore system and admin mail on advice from Christophe
#
# Revision 1.4  1993/04/13  10:34:37  lmjm
# Added more variables to tailor help messages.
# Dont recommend using ftpmail-request
# Changed job pausing.
#
# Revision 1.3  1993/03/30  20:32:21  lmjm
# By default use sendmail.
# By default use immediate.
# Max user settable limit to 100 K.
#
# Revision 1.2  1993/03/23  21:40:13  lmjm
# Now ftpmail_dir is ftpmail's home directory
# Added sendmail, mime and batched processing
#  based on work by Christophe.Wolfhugel@grasp.insa-lyon.fr.
#

#-- Needs tailoring ----------------------------------------------------------

# Parent directory of the system
# This is now the home direcory of the ftpmail account.
# $ftpmail_dir = "/src.doc.ic.ac.uk/public/ic.doc/ftpmail";

# Default site to connect to
$default_site = 'src.doc.ic.ac.uk';

# My hostname for Mime multipart message ids and help messages
$hostname = 'src.doc.ic.ac.uk';

# ftpmail's full email address in help messages
$ftpmail_email = "ftpmail@$hostname";

# Managers email address in help messages
$managers_email = "wizards@$hostname";

# Site priorities.  Each pattern is matched against the host and
# turned into a digit, 0 is highest 9 is lowest.  If no match 9 is assigned.
# By default the default_site is the highest priority.
# Another suiable entry might be: ( 'src.doc.ic.ac.uk$', 'doc.ic.ac.uk$', 'uk$' )
@site_priorities = ( "$default_site\$" );
# Informative message about priorities to send to the user.
$priorities_msg = "Requests to $default_site will be done before other jobs.";

# How to send mail - has "-s 'subj'" and the reply-to name appended
# Or use sendmail - this is a much better option.  Also the mime support
# is only available under sendmail.
#  If you give the -f ftpmail-request then all mail will appear to be
# sent by ftpmail-request.  This means that it will require a mailbox or
# alias.  Also beware that a *LOT* of users submit requests to ftpmail by
# replying to older messages to you will have to look out for this.  Using
# -f is therefor NOT recommended.
#$mail_cmd = "/usr/lib/sendmail -t -odi -f ftpmail-request";
$mail_cmd = "/usr/lib/sendmail -t -odi";
# $mail_cmd = "/usr/ucb/mail -v ";

# A dumber mailer is one which thinks:
# mail 'Lee McLoughlin <lmjm@doc>' is a message to 3 accounts 'Lee', 'McLoughlin'
# and '<lmjm@doc>.  Most mailers these days are NOT dumb so leave this set to
# 0.
$dumb_mailer = 0;

# ftpmail can process jobs in one of two ways
# immediate: after each get/dir/ls mail the result back to the user
# non-immedaite:  keep all the files received by get/dir/ls till the
#            entire jobs is done then mail the results back.  This may
#	     use a lot of space.
$immediate = 0;

# Cleanup input copies once queued.  If this is set to 0 then
# copies of all input will be left lying around - so cron will have
# to clean it.
$cleanup = 1;

# If this file exists exit before the next parse of the queue.
$ftpmail_scan_end = "scan-end";

# If set to 1 limit to just login=anonymous, passwd=-ftpmail/$replyto
$restricted = 0;

# If set to 1, only FQDNs are allowed in the open command instead
# of also IP numbers.
$fqdn_only = 0;

# If you have "vrfy" and want to use it, define this
# vrfy will then be called to check the return address, if vrfy
# fails then no attempt is made to email the user.
#$vrfy = "/usr/local/bin/vrfy";

# steve@nuevo.dartmouth.edu reports that under sendmail 8.6.4
# you must run ftpmail as daemon and set these environment variables.
# By default I leave these alone.
if( 0 ){
	$ENV{ 'PATH' } = "/bin:/usr/bin:/usr/ucb:/usr/local/bin";
	$ENV{ 'SHELL' } = '/bin/sh' if $ENV{ 'SHELL' } ne '';
	$ENV{ 'IFS' } = '' if $ENV{ 'PATH' } ne '';
}

# TODO:
# If set is the name of a file containing restrictions on when to
# attempt to connect to certain sites.  This can be used to allow only
# traffic to the local archive during busy times but allow connections
# everywhere the rest of the time.
#  Each line in the file is either a comment '#.*' or
# day of week: mon|tue|wed|thur|fri|say|sun, an hour range and a site pattern
# eg:  mon|tue|wed|thru|fri 9-18 src.doc.ic.ac.uk
#   only try jobs to the local site during working hours.
$time_restrictions = "restrictions";

# Only allow ftp sessions to these sites - default is to all.
# It is a regexp matching the sites
# $ftp_permitted = '^.*.doc.ic.ac.uk$';


#-- needs checking -----------------------------------------------------------

# Paths for various commands
$btoa = '/usr/local/bin/btoa';
$uuencode = '/usr/local/bin/uuencode';
$compress = '/usr/ucb/compress';
$gzip = '/usr/local/bin/gzip -9';
# People in the TeX world use vvencode.
# If you don't have it then just don't mention it in your help files.
$vvencode = '/usr/local/bin/vvencode';

# Mime stuff
$mime_version = '1.0';
$mmencode = '/usr/local/mailcap/mmencode';

# Any reply-to name matching this pattern should not be replied to
$dont_reply_to = '(ftpmail|postmaster|mmdf|mailer-daemon|system|admin|listserv).*@';

#-- may tweek ---------------------------------------------------------------

# How long to pause between parses of the queue
$between_runs_pause = 60; # seconds

# Max no of commands in a job
$max_cmds = 100;

# Max no of dq processes to run - these can impose a heavy load
# when emailing results back.  Do not set to high!
# For almost all sites leave this at 1.
$max_dqs = 1;

# Max no of jobs for dq to processes before rescanning the queue.
# Too small and the queue is scanned too often.  Too large and the
# higher priority jobs may be left waiting.
$max_per_scan = 5;

# If a job fails how long to pause before retrying
$retry_pause = 2 * (60 * 60);  # 6 hours

# Never try a job more than this many times.
$max_tries = 3;

# Pause for this much after each mail sent to avoid flooding the email
# system.  Only set to 0 if using mail does NOT submit in background -
# so sendmail should have mail_pause set to 0.
$mail_pause = 0; # seconds

# Files bigger than this are split up - can be reset by 'size num' in job
$def_max_size = 60 * 1024;

# Upper limit on what the user can ask for in a size command
$max_size = 100 * 1024;

# Asking to split up files smaller than this is ignored
$min_size = 10 * 1024;

# This is the size, in bytes, of the extra bits that your mailer adds
# to messages.  It is usually the size of the mail headers (From:..,Date:...)
# Be careful is you have an X.400 mailer as the overheads may be larger.
$mail_overhead = 2048;

# Files bigger than this are aborted - to avoid overflowing the
# mail system
$max_processing_size = 15 * 1024 * 1024;


#-- probably OK ------------------------------------------------------------

# All file/directory names are relative to ftpmail_dir

# Where temp files are stored (including files being pulled back from
# remote sites).
# (Note: If there multiple dq procs they use $tmpdir, $tmpdir.1 ...)
$tmpdir = "tmp";

# Where the ftpmail queue is stored.
$quedir = "queue";

# Where copies of the input are kept (you have to remove these manually
# or via a cron job).
$incopydir = "tmp";

# Where the authorisation file resides
$authfile = "auth";

# Where to keep track of goings on!
$logfile = "log";

# Directory containing help files.  helpdir/help is the
# default one returned.  I have this as a symlink to english.
$helpdir = "help";

# Message of the day file.  If present then it is emailed back at
# the start of any email response.
$motdfile = "motd";

# Used to log an ftp session (this is emailed back to the user)
# (Note: this is relative to tmpdir - to allow for multiple dq procs.)
$xferlog = "xferlog";

# Temp file where get's and dir's copy into before being emailed
# (Note: this is relative to tmpdir - to allow for multiple dq procs.)
$incoming = "infile";

# File where info about the dq processes is kept.
$dq_stats = "dq_stats";

# Path to dq command.  Only used if max_dq is non_zero - to spawn
# of slave dq's.
$dq_path = "./dq.pl";

# When trying to connect to the ftp daemon
# Dont even THINK about changing these!
$ftp_port = 21;
$retry_call = 1;	# Do retry
$retry_attempts = 1;	#  but only ONCE

#-- leave at very end-----------------------------------------------------

# Make sure this package returns TRUE
1;
